Bug 1122923 - Kdump configuration in UI overwrite whole /etc/kdump.conf
Summary: Kdump configuration in UI overwrite whole /etc/kdump.conf
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-node
Version: 3.5
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: ---
: 3.5.0
Assignee: Ryan Barry
QA Contact: bugs@ovirt.org
URL:
Whiteboard: node
Depends On:
Blocks: 1123414
TreeView+ depends on / blocked
 
Reported: 2014-07-24 12:10 UTC by Martin Perina
Modified: 2016-02-10 19:39 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1123414 (view as bug list)
Environment:
Last Closed: 2014-10-17 12:36:03 UTC
oVirt Team: Node


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 30933 master MERGED Don't overwrite the entirety of kdump.conf when we save Never

Description Martin Perina 2014-07-24 12:10:09 UTC
Description of problem:

When kdump configuration is updated using UI, the whole file is overwritten, so custom changes, which are impossible to change using UI, are lost. This behavior breaks kdump integration feature in oVirt 3.5, which sets those custom options during host deploy.

Version-Release number of selected component (if applicable):

ovirt-node-iso-3.5.0.ovirt35.20140707.el6

How reproducible:

100%

Steps to Reproduce:
1. Login as root, add custom changes to /etc/kdump.conf and restart kdump service so these changes are applied:

  default reboot
  ext4 /dev/HostVG/Data
  path /core
  fence_kdump_nodes mperina.brq.redhat.com
  fence_kdump_args -p 7410 -i 5


2. Login as admin and change settings kdump settings using UI (for example change kdump target to NFS)


3. Login as root and check content of /etc/kdump.conf


Actual results:

Content of /etc/kdump.conf after step 3.:

  default reboot
  nfs str-02.rhev.lab.eng.brq.redhat.com:/mnt/export/nfs/170/nfs04

Expected results:

Content of /etc/kdump.conf after step 3. when bug fixed:

  default reboot
  nfs str-02.rhev.lab.eng.brq.redhat.com:/mnt/export/nfs/170/nfs04
  fence_kdump_nodes mperina.brq.redhat.com
  fence_kdump_args -p 7410 -i 5


Additional info:

Comment 1 Sandro Bonazzola 2014-10-17 12:36:03 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.